Subject: builds on IRIX 5.3, but fails to run on IRIX 6.2

From: [email-masked]
Date: Mon, 25 Jan 1999 15:19:34 -0600 (CST)

Full_Name: Håvard Fosseng
Version: 2.1.10
CVS_Date: 
OS: IRIX 6.2
X_Server: 
Submission from: (NULL) (129.240.92.80)

My local machine, running IRIX 6.2, is not set up to build 
software. I do that on another computer running IRIX 5.3.

When building 2.1.10, "configure", "make" and "make install"
all had exit status 0. The only thing that on the face of it
seemed suspicious was the following output from "configure":

checking for Xpm 3.4f or better...  9814:./conftest: rld: Fatal Error:
cannot map soname 'libXpm.so.4.11' using any of the filenames
/usr/lib/libXpm.so.4.11:/lib/libXpm.so.4.11:/lib/cmplrs/cc/libXpm.so.4.11:/usr/lib/cmplrs/cc/libXpm.so.4.11:
-- either the file does not exist or the file is not mappable (with reason
indicated in previous msg)
no

(Note, however, that configure continued running and finished
with exit status 0.)

When trying to run what I had built (on IRIX 6.2), I got the
following message:

22704:/usit/sauron/u4/havardf/bin/fvwm2: rld: Fatal Error: Cannot
Successfully Map soname 'libSM.so.6.0' under any of the filenames
/usr/lib/libSM.so.6.0:/usr/lib/internal/libSM.so.6.0:/lib/libSM.so.6.0:/lib/cmplrs/cc/libSM.so.6.0:/usr/lib/cmplrs/cc/libSM

Both the computer where I built 2.1.10 and the computer where
I tried to run them had files named "/usr/lib/libSM.so".

On the 5.3 computer:
-rw-r--r--   1 root     root       823380 May 21  1995 /usr/lib/libSM.so

On the 6.2 computer:
-rw-r--r--   1 root     root       798544 May  9  1998 /usr/lib/libSM.so

I successfully built and ran 2.1.7 on the same combination of computers.
I guess you will need more information, but short of including the entire 
ouput from "configure", "make" and "make install" I don't know what
will be helpful.

--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].